
Redmine - Defect #32848

Missing log message indicating why "ImageMagick PDF support available (optional)" is unavailable

(even with requirements met)

2020-01-21 17:13 - Deoren Moor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 4.1.0

Description

Summary

We recently upgraded from Redmine v4.0.6 to v4.1.0 and when checking the admin/info panel after the upgrade I saw an

exclamation for ImageMagick PDF support available (optional), but passing marks for the other checks.

I call myself looking, but I didn't find any error messages related to this in our log file. If nothing else, please consider this a bug report

noting a missing error message explaining why the ImageMagick PDF support available (optional) item is flagged as

broken/problematic in the admin/info UI. That said, it appears that we've met the requirements and still don't have the indicated

support.

Environment/Software details

admin/info details

Environment:

  Redmine version                4.1.0.stable.19404

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux-gnu]

  Rails version                  5.2.4.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.9.3

  Filesystem                     

Redmine plugins:

  no plugin installed

 

Gems

I initially had trouble with the upgrade due to the current Gemfile configuration for sprockets (which #32839 is addressing), but once

that was hotfixed (via Gemfile.local entry) the upgrade proceeded without apparent issue.

I checked the gem bundle and I see that mini_magick is installed:

$ sudo bundle list | grep magick

  * mini_magick (4.9.5)

 Show full gem listHide full gem list

$ sudo bundle list

Gems included by the bundle:

  * actioncable (5.2.4.1)

  * actionmailer (5.2.4.1)

  * actionpack (5.2.4.1)

  * actionpack-xml_parser (2.0.1)

  * actionview (5.2.4.1)

  * activejob (5.2.4.1)

  * activemodel (5.2.4.1)

  * activerecord (5.2.4.1)
  * activestorage (5.2.4.1)

  * activesupport (5.2.4.1)

  * addressable (2.7.0)

  * arel (9.0.0)

  * builder (3.2.4)

  * bundler (1.11.2)

  * concurrent-ruby (1.1.5)

  * crass (1.0.6)

  * css_parser (1.7.1)

  * csv (3.1.2)

  * erubi (1.9.0)

  * globalid (0.4.2)

  * htmlentities (4.3.4)

  * i18n (1.6.0)

  * loofah (2.4.0)

  * mail (2.7.1)

  * marcel (0.3.3)

  * method_source (0.9.2)

  * mimemagic (0.3.3)

  * mini_magick (4.9.5)

  * mini_mime (1.0.2)

  * mini_portile2 (2.4.0)

  * minitest (5.14.0)

  * mysql2 (0.5.3)

  * net-ldap (0.16.2)

  * nio4r (2.5.2)

  * nokogiri (1.10.7)

  * public_suffix (4.0.3)

  * rack (2.1.1)

  * rack-openid (1.4.2)

  * rack-test (1.1.0)

  * rails (5.2.4.1)

  * rails-dom-testing (2.0.3)

  * rails-html-sanitizer (1.3.0)

  * railties (5.2.4.1)

  * rake (13.0.1)

  * rbpdf (1.20.1)

  * rbpdf-font (1.19.1)

  * redcarpet (3.5.0)

  * request_store (1.4.1)

  * roadie (3.5.1)

  * roadie-rails (1.3.0)

  * rouge (3.12.0)

  * ruby-openid (2.9.2)

  * sprockets (3.7.2)

  * sprockets-rails (3.2.1)

  * thor (1.0.1)

  * thread_safe (0.3.6)

  * tzinfo (1.2.6)

  * websocket-driver (0.7.1)

  * websocket-extensions (0.1.4)

OS packages

Here are what appears to be the relevant installed Ubuntu packages:

ShowHide

$ dpkg -l | grep -E 'magic|ghost'

ii  file                                  1:5.25-2ubuntu1.3                               amd64   

     Determines file type using "magic" numbers

ii  ghostscript                           9.26~dfsg+0-0ubuntu0.16.04.12                   amd64   

     interpreter for the PostScript language and for PDF

ii  imagemagick                           8:6.8.9.9-7ubuntu5.15                           amd64   

     image manipulation programs -- binaries

ii  imagemagick-6.q16                     8:6.8.9.9-7ubuntu5.15                           amd64   
     image manipulation programs -- quantum depth Q16

ii  imagemagick-common                    8:6.8.9.9-7ubuntu5.15                           all     

     image manipulation programs -- infrastructure

ii  libmagic1:amd64                       1:5.25-2ubuntu1.3                               amd64   

     File type determination library using "magic" numbers

ii  libmagick++-6-headers                 8:6.8.9.9-7ubuntu5.15                           all     

     object-oriented C++ interface to ImageMagick - header files

ii  libmagick++-6.q16-5v5:amd64           8:6.8.9.9-7ubuntu5.15                           amd64   

     object-oriented C++ interface to ImageMagick

ii  libmagick++-6.q16-dev:amd64           8:6.8.9.9-7ubuntu5.15                           amd64   

     object-oriented C++ interface to ImageMagick - development files

ii  libmagick++-dev                       8:6.8.9.9-7ubuntu5.15                           all     

     object-oriented C++ interface to ImageMagick

ii  libmagickcore-6-arch-config:amd64     8:6.8.9.9-7ubuntu5.15                           amd64   

     low-level image manipulation library - architecture header files

ii  libmagickcore-6-headers               8:6.8.9.9-7ubuntu5.15                           all     

     low-level image manipulation library - header files

ii  libmagickcore-6.q16-2:amd64           8:6.8.9.9-7ubuntu5.15                           amd64   

     low-level image manipulation library -- quantum depth Q16

ii  libmagickcore-6.q16-2-extra:amd64     8:6.8.9.9-7ubuntu5.15                           amd64   

     low-level image manipulation library - extra codecs (Q16)

ii  libmagickcore-6.q16-dev:amd64         8:6.8.9.9-7ubuntu5.15                           amd64   

     low-level image manipulation library - development files (Q16)

ii  libmagickwand-6-headers               8:6.8.9.9-7ubuntu5.15                           all     

     image manipulation library - headers files

ii  libmagickwand-6.q16-2:amd64           8:6.8.9.9-7ubuntu5.15                           amd64   

     image manipulation library

ii  libmagickwand-6.q16-dev:amd64         8:6.8.9.9-7ubuntu5.15                           amd64   

     image manipulation library - development files

Per the notes on #30492#note-13, we meet the ImageMagick 6.8.9 (minimum) version requirement.

History

#1 - 2020-05-05 15:11 - Matt V

Hello!

I think this has to do with minimagick replacing imagemagick:

https://www.redmine.org/issues/30492

I also agree that this is somewhat confusing - I still think that this status is still asking for imagemagick and therefore fails.

BTW thanks to all the developers - you are great :)

Kind Regards,

Matt

#2 - 2020-05-06 04:12 - Go MAEDA

An exclamation mark for "ImageMagick PDF support available (optional)" is shown when GhostScript (gs command) is not detected on your server.

Redmine doesn't raise any errors without GhostScript. The only inconvenience without GhostScript is that thumbnails for PDF attachments (#22481)

are not shown.

GhostScript is not used directly by Redmine but via ImageMagick's convert command.

Matt V wrote:

I think this has to do with minimagick replacing imagemagick:

https://www.redmine.org/issues/30492

 The library replaced with MiniMagick is RMagick, not ImageMagick. MiniMagick and RMagick are an interface between apps and ImageMagick. So,

Redmine 4.1 requires MiniMagick and ImageMagick (RMagick and ImageMagick were required in Redmine 4.0 or earlier).

#3 - 2020-05-06 11:27 - Go MAEDA

- Category changed from PDF export to Documentation

- Status changed from New to Closed
- Resolution set to Fixed

I have just added a document about this. Please see RedmineAdminInformation.
